#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n;
    cin>>n;
    pair<ll, ll>koordinats[1510];
    for(int i=0; i<n; i++)cin>>koordinats[i].first>>koordinats[i].second;
    sort(koordinats, koordinats+n);

    map<pair<ll, ll>, ll>checking;
    for(int i=0; i<n; i++)
    {
        for(int j=i+1; j<n; j++)
        {
            ll x1=koordinats[i].first, y1=koordinats[i].second, x2=koordinats[j].first, y2=koordinats[j].second;
            checking[{x1-x2, y1-y2}]++;
        }
    }

    ll res=0;
    map<pair<ll, ll>, ll>::iterator it;
    for(it=checking.begin(); it!=checking.end(); it++)
    {
        res+=(it->second)*checking[{(it->first.first)*2, (it->first.second)*2}];
    }
    cout<<res;
    return 0;
}